PwnageTool 3.1.5 for Mac now available to jailbreak iPhone and iPod Touch with firmware 3.1.3



The much awaited upgrade to the PwnageTool, version 3.1.5 has just been released by the Dev-Team. This version is compatible with all iPhone 2G, 3G, 3GS (old bootrom), iPod Touch 1G and 2G (old bootrom). For iPhone 3GS users, Dev-Team advises that you stay at firmware 3.1.2 because PwnageTool wont work if you’ve upgraded to 3.1.3. If you have upgraded without your 3.1.3 hashes on Cydia, chances are you’ll have to wait for the next iPhone OS update to be released and then jailbreaked because according to the Dev-Team, OS 3.1.3 update was possibly released by Apple to flush out new exploits before the next release.

Here’s what the Dev-Team has to say about this:

If you have an iPhone 3GS, PwnageTool works if you’re currently at version 3.1.2 or below (down to 3.0). You don’t need to be already jailbroken — PwnageTool will ask you if you’re jailbroken after you’ve created the IPSW. Don’t use PwnageTool on the iPhone 3GS if you’re at 3.1.3, it just won’t work. Downgrade to 3.1.2 using the methods described here. If you can’t downgrade because you don’t have your 3GS 3.1.2 hashes on file with Cydia, you’ll need to sit out the 3.1.3 jailbreak.

PwnageTool 3.1.5 will let you update to OS 3.1.3 safely while preserving your jailbreak and unlock if you already have. If you use the blacksn0w unlock ( baseband 05.11.07 ), you should stay at OS 3.1.2.


PwnageTool can be downloaded here.

Also check out:

How to jailbreak iPhone or iPod Touch with OS 3.1.3 using sn0wbreeze

How to jailbreak iPhone or iPod Touch with OS 3.1.3 using redsn0w 0.9.4

How to unlock iPhone 3.1.3 using ultrasn0w

Technology enthusiast, Internet addict, photography fan, movie buff, music aficionado.